mate-terminal (1.26.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1002_fix_context_menu_font.patch. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 15 Jun 2023 16:42:38 +0200

mate-terminal (1.26.0-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 1002_fix_context_menu_font.patch (LP: #1955505, closes: #998856,
      #1001793).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 25 Apr 2023 16:19:04 +0200

mate-terminal (1.26.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

  [ Mike Gabriel ]
  * debian/watch:
    + Use format version 4.
  * debian/control:
    + Add B-D: mate-submodules-source (>= 0.0~git20210623.f3091f9).
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/rules:
    + Unpack libegg (mate-submodules) at the beginning of dh_auto_configure.
  * debian/copyright:
    + Update copyright attributions.
  * debian/patches:
    + Add 1001_desktop-file-lacks-keywords-entry.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 13 Dec 2021 01:28:05 +0100

mate-terminal (1.24.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches:
    + Drop 0002_fix-searching.patch. Applied upstream.
    + Drop 0001_fix-url-highlighting.patch. Applied upstream.

  [ Mike Gabriel ]
  * debian/control:
    + Bump DH compat level to version 13.
  * debian/copyright:
    + Update copyright attributions.
  * debian/mate-terminal.postinst:
    + Use higher priority for mate-terminal.wrapper. (Closes: #931045).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 21 Aug 2020 21:26:02 +0200

mate-terminal (1.24.0-3) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0002_fix-searching.patch. Fix searching in terminal window (LP:
      #1870906)

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 16 Apr 2020 09:59:11 +0200

mate-terminal (1.24.0-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_fix-url-highlighting.patch. Fix URL highlighting broken
      since vte 0.60. (Closes: #954024). Thanks to Norbert Preining for
      providing the patch.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 24 Mar 2020 10:58:22 +0100

mate-terminal (1.24.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control:
    + Add Rules-Requires-Root: field and set it to no.
    + Bump Standards-Version: to 4.5.0. No changes needed.
  * debian/upstream/metadata:
    + Drop obsolete fields Contact: and Name:.
    + Append .git suffix to URLs in Repository: field.

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches:
    + Drop 1001_add-keywords-to-desktop-files.patch. Applied upstream.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 14 Feb 2020 16:50:51 +0100

mate-terminal (1.22.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + Updated for MATE Desktop 1.22
    + Add B-D: libxml2-utils.
  * debian/mate-terminal-common.install:
    + Do not install /usr/share/mate-terminal, mate-terminal now uses
      gresources.
  * debian/copyright:
    + Update copyright attributions.
  * debian/rules:
    + Updated for MATE Desktop 1.22
  * debian/mate-terminal-common.install:
    + Correct order.
  * debian/patches:
    + Drop 1002_xterm-256color.patch. Applied upstream.

  [ Mike Gabriel ]
  * debian/{compat,control}:
    + Use debhelper-compat notation. Bump to DH compat level version 12.
  * debian/control:
    + Bump Standards-Version: to 4.4.0. No changes needed.
    + Drop empty line at EOF.
  * debian/rules:
    + Drop dbgsym-migration dh_strip override.
  * debian/mate-terminal.postinst:
    + Drop direct upgrade support from mate-terminal 1.8.1+dfsg1-3.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 31 Jul 2019 00:09:16 +0200

mate-terminal (1.20.2-2) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/patches:
    + Drop problematic 0001_fix_setting_transparency.patch, suggested by
      upstream (Closes: #921428).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 06 Feb 2019 13:22:58 +0100

mate-terminal (1.20.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop Ubuntu-specific patch 2001_fix-find-next-previous.patch (and
      ubuntu.series file). (Closes: #915918).
    + Enable 256 colors support in terminals. (Closes: #800832)."
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 09 Jan 2019 12:30:47 +0100

mate-terminal (1.20.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Update Vcs-*: fields. Package has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.1.4. No changes needed.
    + Drop pkg-mate-team Alioth mailing list from Uploaders: field.
  * debian/copyright:
    + Make Upstream-Name: field's value more human readable.
    + Update Upstream-Contact: field.
    + Update Source: field. Use secure URLs.
    + Update copyright attributions.
  * debian/upstream/metadata:
    + Add file. Be compliant with DEP-12 proposal.
    + Use Martin's address as Contact: address.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 08 Jul 2018 02:24:38 +0200

mate-terminal (1.20.0-4) unstable; urgency=medium

  * debian/patches:
    + Prepend patches from series file to ubuntu.series file.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 18 Apr 2018 14:44:57 +0200

mate-terminal (1.20.0-3) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 2001_fix-find-next-previous.patch. Fix find next/previous shortcuts which are
      broken in Ubuntu due to VTE patch revert-pcre2.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 18 Apr 2018 10:50:09 +0200

mate-terminal (1.20.0-2) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/copyright:
    + Use secure URI for copyright format.

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0001_fix_setting_transparency.patch. Fix setting transparency
      when used in GNOME3.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 05 Apr 2018 22:50:11 +0200

mate-terminal (1.20.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/copyright (already in 1.19.1-0ubuntu1):
    + Update copyright attributions.

  [ Vangelis Mouhtsis ]
  * debian/control (already in 1.19.1-0ubuntu1):
    + Temporarily have pkg-mate-team ML under Uploaders:.
    + Update Maintainer: field to debian-mate ML on lists.debian.org.
    + Rename pretty name of our team -> Debian+Ubuntu MATE Packaging Team.
    + Bump Standards-Version: to 4.1.3. No changes needed.

  [ Mike Gabriel ]
  * debian/{control,compat}: Bump DH version level to 11.
  * debian/{rules,mate-terminal-common.install}:
    + Move appstream metainfo to correct location.
  * debian/control:
    + Update versioned B-Ds (GTK3, VTE, GLib).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 14 Feb 2018 11:24:53 +0100

mate-terminal (1.20.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Wed, 07 Feb 2018 14:03:57 +0000

mate-terminal (1.19.1-0ubuntu1) bionic; urgency=medium

  * New upstream release.

 -- Martin Wimpress <martin.wimpress@ubuntu.com>  Wed, 24 Jan 2018 07:06:08 +0000

mate-terminal (1.18.2-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards-Version: to 4.1.1. No changes needed.
  * debian/watch:
    + Use secure URI.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Nov 2017 11:53:22 +0100

mate-terminal (1.18.1-2) unstable; urgency=medium

  * As-is re-upload to re-trigger a full rebuild on all architectures.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Aug 2017 18:40:53 +0200

mate-terminal (1.18.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/control: Dependencies updated for MATE 1.17.
  * debian/control: Drop unused B-D docbook-to-man.
  * debian/control: Dependencies updated for MATE 1.18.

  [ Aron Xu ]
  * New upstream release.

  [ Vangelis Mouhtsis ]
  * debian/compat:
    + Update compat version.
  * debian/control:
    + Bump debhelper version to (>= 10.3~).
  * debian/control:
    + Bump Standards-Version: to 4.0.0. No changes needed.
  * debian/rules:
    + Add new block for override_dh_missing.
  * debian/rules:
    + Disable autoreconf, handled by autogen.sh.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 25 Jul 2017 18:27:46 +0200

mate-terminal (1.16.3-1) unstable; urgency=medium

  * New upstream release.
    - Fix freezing Xorg on double click with right mouse button. (Closes:
      #862035).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 03 Jun 2017 21:10:29 +0200

mate-terminal (1.16.2-1) unstable; urgency=medium

  * New upstream release.
    - Bring back exit confirmation when there's a process running.
      (Closes: #856279).
    - etc., see upstream's NEWS file...

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 26 Apr 2017 21:29:15 +0200

mate-terminal (1.16.1-2) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/control:
    + Drop unused B-D docbook-to-man.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 24 Jan 2017 20:04:13 +0100

mate-terminal (1.16.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream bug fix release.
    - Add back --geometry positioning support.
    - Fix crash after detaching tab and then changing its title.
  * debian/rules:
    + Remove obsolete --with-gtk=3.0

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 12 Oct 2016 08:40:52 +0200

mate-terminal (1.16.0-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
    - Fix crashes when setting applications colors caused by GTK 3.21.
      (Closes: #837977).
    - Fix crashes when adding a new terminal profile caused by GTK 3.21.
      (Closes: #836188).

  [ Vangelis Mouhtsis ]
  * debian/changelog:
    + Fix missing changelog items for 1.15.1-0ubuntu1 upload.
  * debian/control:
    + Dependencies updated for MATE 1.16.
  * debian/watch:
    + Update version matching again to _not_ support development releases.

  [ Mike Gabriel ]
  * Upstream fixes from 1.15:
    - Cmd line prompt visibility fix caused by GTK 3.21. (Closes: #836238).
    - Fix for crashes during background changing caused by GTK 3.21. (Closes:
      #836239).
  * debian/control:
    + Versioned B-Ds: libgtk-3-dev (>= 3.14) and libvte-2.91-dev (>= 0.38).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 04 Oct 2016 09:55:35 +0200

mate-terminal (1.15.1-0ubuntu1) yakkety; urgency=medium

  * New upstream development release. (Closes: #836238, #836239).
  * debian/control:
    + Dependencies updated for MATE 1.15.
  * debian/watch:
    + Update version matching to support development releases.

 -- Martin Wimpress <code@flexion.org>  Fri, 09 Sep 2016 13:04:48 +0100

mate-terminal (1.14.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + Add to D (mate-terminal): gsettings-desktop-schemas

  [ Vangelis Mouhtsis ]
  * debian/{control,rules}:
    + dbgsym: Don't build dbg:packages anymore.
      See https://wiki.debian.org/AutomaticDebugPackages.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Aug 2016 13:35:24 +0200

mate-terminal (1.14.0-1) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/control:
    + Versioned B-D on dpkg-dev (>= 1.16.1.1).
    + Use encrypted URLs for Vcs-*: field.
  * debian/rules:
    + Enable all hardening flags.

  [ Martin Wimpress ]
  * New upstream release.
  * debian/control:
    + B-D: libgtk-3-dev.
    + Versioned B-D: libmate-desktop-dev (>= 1.14).
    + B-D: libvte-2.91-dev. (Closes: #790186).
    + Versioned B-D: mate-common (>= 1.14)
    + Drop obsolete Python dependencies.
  * debian/rules:
    + Drop --with python2.
    + Add --with-gtk=3.0

  [ Mike Gabriel ]
  * debian/control:
    + Bump Standards: to 3.9.8. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 May 2016 05:12:54 +0200

mate-terminal (1.12.1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/copyright:
    + Update copyright attributions.
    + Process with wrap-and-sort.
  * debian/rules:
    + Remove --enable-mpaste because the service is dead.
    + debian/rules: Remove obsolete configure options.
  * debian/control:
    + Versioned B-D: mate-common (>= 1.12) and libmate-desktop-dev (>= 1.12).
    + Remove useless libdbus-glib-1-dev build dependency.
  * debian/watch:
    + Drop +gfdl suffix.

  [ Mike Gabriel ]
    debian/copyright:
    + MATE Terminal's help files are license GFDL-1.1+, not GFDL-1.2+. Add
      GFDL-1.1+ as possible license for files/patches in debian/*.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 02 Jan 2016 11:24:15 +0100

mate-terminal (1.10.1+gfdl1-2) unstable; urgency=medium

  * debian/copyright:
    + Drop Files: * (wildcard). This allows lintian to detect issues with
      the copyright file.
    + Work in copyright information of newly shipped GFDL-1.2+ help files.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 22 Aug 2015 23:27:34 +0200

mate-terminal (1.10.1+gfdl1-1) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Drop 2001_omit-gfdl-licensed-help-files.patch, mate-terminal help
      is DFSG compliant.
  * debian/mate-terminal-common.install:
    + Add usr/share/help.
  * debian/rules:
    + Remove obsolete build option.
    + Remove +dfsg1 suffix.
  * debian/watch:
    + Remove +dfsg1 suffix.

  [ Mike Gabriel ]
  * Re-upload to unstable.
    - Temporarily use a +gfdl1 suffix to make this upload's
      upstream version greater than the previous +dfsg1 upload.
      FIXME: drop the upstream version suffix completely with next upstream
      release).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 22 Aug 2015 23:06:02 +0200

mate-terminal (1.10.1+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 17 Jul 2015 15:53:51 +0200

mate-terminal (1.10.0+dfsg1-1~exp1) experimental; urgency=medium

  [ Martin Wimpress ]
  * New upstream release.
  * debian/patches:
    + Drop 0001_mate-terminal-wrapper.patch. Applied upstream.
    + Drop 1002_fix-occasional-segfaults-at-session-startup.patch. Applied
      upstream.
  * debian/control:
    + Processed with wrap-and-sort.
  * debian/mate-terminal-common.install:
    + Processed with wrap-and-sort

  [ Mike Gabriel ]
  * debian/control:
    + Versioned B-D: mate-common (>= 1.10).
    + Add Martin Wimpress to Uploaders: field.
    + Update for latest upstream release.
  * debian/rules:
    + Create orig tarball in ../ rather than in $(CURDIR).
  * debian/patches:
    + Rebase 2001_omit-gfdl-licensed-help-files.patch. Update for this
      upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 Jun 2015 14:19:58 +0200

mate-terminal (1.8.1+dfsg1-5) unstable; urgency=medium

  [ Martin Wimpress ]
  * debian/patches:
    + Add 0001_mate-terminal-wrapper.patch. Adds support for double quoted
      strings. Adapted from gnome-terminal.wrapper. (Closes: #783000,
      LP: #1445198).

  [ Mike Gabriel ]
  * debian/control:
    +  debian/control: Make mate-terminal "Multi-Arch: foreign". (Closes:
       #774182).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 19 May 2015 16:41:43 +0200

mate-terminal (1.8.1+dfsg1-4) unstable; urgency=medium

  * debian/mate-terminal.{postinst,prerm):
    + Use mate-terminal.wrapper (instead of mater-terminal binary directly) as
      alternative for x-terminal-emulator. (Closes: #773431).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 06 Jan 2015 10:19:40 +0100

mate-terminal (1.8.1+dfsg1-3) unstable; urgency=medium

  * debian/patches:
    + Add 1002_fix-occasional-segfaults-at-session-startup.patch.
      Fix segfaults for mate-terminal in non-standard setups if started
      during session startup. (Closes: #769947).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 30 Nov 2014 20:25:38 +0100

mate-terminal (1.8.1+dfsg1-2) unstable; urgency=medium

  * A changelog fixup upload. The below two changes have already been
    included in 1.8.1+dfsg1-1.

  * debian/control:
    + Add  Vangelis Mouhtsis to Uploaders: field.
  * debian/rules:
    + Use upstream's NEWS file as upstream ChangeLog.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Oct 2014 12:41:01 +0200

mate-terminal (1.8.1+dfsg1-1) unstable; urgency=medium

  [ Vangelis Mouhtsis ]
  * debian/control:
    + Bump Standards: to 3.9.6. No changes needed.

  [ Mike Gabriel ]
  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Oct 2014 12:33:46 +0200

mate-terminal (1.8.0+dfsg1-3) unstable; urgency=low

  [ Vangelis Mouhtsis ]
  * debian/rules:
    + Replace on dh_install --list-missing -> --fail-missing.

  [ Mike Gabriel ]
  * debian/control: Add D (bin:package mate-terminal): mate-desktop-common.
    (Closes: #750864).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 11 Jun 2014 21:38:20 +0200

mate-terminal (1.8.0+dfsg1-2) unstable; urgency=low

  * debian/rules:
    + Enable parallel builds.
    + Turn on compiler commands during package build (configure option:
      --disable-silent-rules).
    + Fix copy+paste error in tarball repacking code.
  * debian/mate-terminal.manpages:
    + Drop this file as it is redundant to upstream's make install.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2014 12:30:51 +0200

mate-terminal (1.8.0+dfsg1-1) unstable; urgency=low

  * Initial release. (Closes: #734963).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 13 Mar 2014 17:11:12 +0100
